Update Billing Details
curl --request PUT \
--url https://app.plugchoice.com/api/v3/teams/{team}/billing/details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company_name": "<string>",
"email": "<string>",
"vat_number": "<string>",
"address_line1": "<string>",
"address_city": "<string>",
"address_postal_code": "<string>",
"address_country": "<string>"
}
'import requests
url = "https://app.plugchoice.com/api/v3/teams/{team}/billing/details"
payload = {
"company_name": "<string>",
"email": "<string>",
"vat_number": "<string>",
"address_line1": "<string>",
"address_city": "<string>",
"address_postal_code": "<string>",
"address_country": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company_name: '<string>',
email: '<string>',
vat_number: '<string>',
address_line1: '<string>',
address_city: '<string>',
address_postal_code: '<string>',
address_country: '<string>'
})
};
fetch('https://app.plugchoice.com/api/v3/teams/{team}/billing/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Billing Details
Update Billing Details
PUT
/
v3
/
teams
/
{team}
/
billing
/
details
Update Billing Details
Updates the billing details for a team. Requires a verified email and is rate limited to 30 requests per minute.
The UUID of the team.
The company name. Maximum 255 characters.
The billing email address. Must be a valid email. Maximum 255 characters.
The VAT number. Maximum 50 characters. Set to
null to remove.Street address line. Maximum 255 characters.
City name. Maximum 255 characters.
Postal or ZIP code. Maximum 20 characters.
Two-letter ISO country code.
Response
Whether the billing details were updated successfully.
⌘I